using System;

namespace ConsoleApp92
{
    class Program
    {
        static void Main(string[] args)
        {
            int N, L;
            string[] n_l = Console.ReadLine().Split();
            N = Convert.ToInt32(n_l[0]); L = Convert.ToInt32(n_l[1]);
            int izlaz = -1;
            string[] H = Console.ReadLine().Split();
            for (int i = 0; i < N; i++)
            {
                if (Convert.ToInt32(H[i]) <= L)
                {
                    izlaz = i + 1;
                    break;
                }
            }
            Console.WriteLine(izlaz);
        }
    }
}